require("dotenv").config();
const bcrypt = require('bcryptjs');

exports.seed = function(knex) {
	return knex('users').truncate()
		.then(function () {
			return knex('users').insert([
				{
					id: 1,
					email: 'gabe@ls.com',
					username: 'gabe',
					password: bcrypt.hashSync('1234', process.env.SECRET, 10)
				},
				{
					id: 2,
					email: 'gabe2@ls.com',
					username: 'gabe2',
					password: bcrypt.hashSync('1234', process.env.SECRET, 10)
				}
			]);
	});
};
